Skip to main content

identityProviderLinks

Returns identity provider links for authentication

identityProviderLinks(
companyId: ID!
): IdentityProviderLinkTypeCollection!

Arguments​

identityProviderLinks.companyId ● ID! non-null scalar​

Company ID to fetch identity provider links for

Type​

IdentityProviderLinkTypeCollection object​

IdentityProviderLinkTypeCollection type

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetIdentityProviderLinks($companyId: ID!) {\n identityProviderLinks(companyId: $companyId) { collection { codeVerifier displayName keycloakAlias } metadata { currentPage limitValue totalCount } }\n}","variables":{"companyId":"<company_id>"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute